using Exferia_Aplicacion.General;
using Exferia_Aplicacion.Modelos_Listado_Filtros;
using Exferia_Compras.General;
using Exferia_EntityFramework;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Exferia_Compras._3_Vistas.ListadosSeleccion
{
    class ABS_ListadoSeleccion_MAE_Proveedores_CodigosArticuloProveedor : ABS_ListadoSeleccion
    {
        public override List<dynamic> LISTADO()
        {
            return Registros;
        }

        public override string NOMBRELISTADO_ALMACENARCONFIGURACION()
        {
            return nameof(Variables.G_STR_OPCION_MAE_PROVEEDORES_CODIGOSARTICULOPROVEEDOR) + "_SoloSeleccion";
        }

        public override Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo> LISTADO_COLUMNAS()
        {
            Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo> dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo = new Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo>();

            dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(MAE_Proveedores_CodigosArticuloProveedor.id), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(true, nameof(MAE_Proveedores_CodigosArticuloProveedor.id), "id", Enumerados.G_ENUM_TIPOSDATOS.LONG, true, 0, false, false,false, false, "", null));
            dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(MAE_Proveedores_CodigosArticuloProveedor.codigoArticuloProveedor), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(MAE_Proveedores_CodigosArticuloProveedor.codigoArticuloProveedor), "Código artículo proveedor", Enumerados.G_ENUM_TIPOSDATOS.TEXT, false, 350, true, true, true, false, "", null));

            return dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo;
        }

        public override string ORDENACION_NOMBRECOLUMNA_PORDEFECTO()
        {
            return nameof(MAE_Proveedores_CodigosArticuloProveedor.codigoArticuloProveedor);
        }

        public override string ORDENACION_TIPO_PORDEFECTO()
        {
            return "0";
        }

        public override INTERNO_OpcionesDetalle_Modelo DATOS_OPCION()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_1()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_2()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_3()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_4()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_5()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_6()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_7()
        {
            return null;
        }

        public override List<INTERNO_ArbolSecundarioSeleccion_Modelo> LISTADO_ARBOLSECUNDARIOSELECCION()
        {
            return null;
        }

        public override List<INTERNO_Listado_Paginado_Filtro_Modelo> FILTRADO_PARAPAGINADO()
        {
            return null;
        }

        public override List<string> LISTADOCAMPOS_ENVIAR_A_MANTENIMIENTO()
        {
            return null;
        }
    }
}
